Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514024 - File dialog don't show up sometimes on QT based programs
Summary: File dialog don't show up sometimes on QT based programs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qgnomeplatform
Version: 27
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 13:54 UTC by ufa
Modified: 2018-11-30 21:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:19:08 UTC


Attachments (Terms of Use)

Description ufa 2017-11-16 13:54:13 UTC
Description of problem:
QT based applications freezes sometimes because file dialogs don't show up while it still had the focus, freezing the program.
Someone said that's because an old qt bug (https://forum.kde.org/viewtopic.php?f=265&t=142629&p=383121#p383121)


Version-Release number of selected component (if applicable):
qt-qtbase-common-5.9.2-4.fc27


How reproducible:
Often

Steps to Reproduce:
1. Open a QT program.
2. Choose save as
3. frozen app

Actual results:
frozen app

Expected results:
Dialog appearing without freezing the app


Additional info:
https://forum.kde.org/viewtopic.php?f=265&t=142629&p=383121#p383121

Comment 1 Kevin Kofler 2017-11-16 14:07:22 UTC
Is this with Qt 4 applications, Qt 5 applications, or both?

Comment 2 ufa 2017-11-16 15:29:22 UTC
It's Kdenlive 17.08.1-1.fc27, so I guess it is a QT 5 application. (I'm not using KDE, it runs inside gnome)

Comment 3 Kevin Kofler 2017-11-16 16:59:58 UTC
Yes, all current kdenlive builds are Qt 5, reassigning to qt5-qtbase (qt is Qt 4).

Comment 4 Kevin Kofler 2017-11-16 17:02:00 UTC
Hmmm, since you say that you are running GNOME when this happens, this might be a bug in qgnomeplatform. CCing its maintainer.

Comment 5 Rex Dieter 2017-11-16 21:51:54 UTC
Let's start with triaging @ qgnomeplatform, and go from there.

Comment 6 ufa 2017-11-17 10:29:49 UTC
Just to inform, a KDE developer said (check url in the first post):

"This might come from an old Qt bug (if I remember well the file dialogs didn't show up on some platforms, while it still had the focus, freezing the program), and our AppImage contains a recent Qt."

I didn't test the AppImage yet but the user in that thread said it corrected her problem.

Comment 7 Ben Cotton 2018-11-27 15:57:59 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 21:19:08 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.